﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;

namespace WpfPropertyDetail
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
            SetUpGrid();
        }

        public void SetUpGrid()
        {
            grid.Children.Clear();
            grid.RowDefinitions.Clear();

            for (int row = 0; row < 20; row++)
            {
                TextBlock tbProperty = new TextBlock();
                tbProperty.Text = "Text " + row;

                tbProperty.SetValue(Grid.ColumnProperty, 0);
                tbProperty.SetValue(Grid.RowProperty, row);

                RowDefinition rowDefinition = new RowDefinition();
                rowDefinition.Height = new GridLength(22.0);
                grid.RowDefinitions.Add(rowDefinition);
                grid.Children.Add(tbProperty);
            }
        }
    }
}
